package com.bankaudit.dto.process;

public class AuditObservationLetterDto {
	
	private Integer legalEntityCode;
	private String auditId;
	private String auditTypeCode;
	private String letterCode;
	private String mappingId;
	private String observationId;
	private String findingId;
	private String submissionStatus;
	private String complianceCategory;
	private String findingRemarks;
	private String standardStmntCompliance;
	private String standardStmntCompliancePrint;
	private String standardStmntNonCompliance;
	private String standardStmntNonCompliancePrint;
	private String reference;
	private String displaySequence;
	private String displaySequenceRef;
	private String displaySequenceId;
	private String statementId;
	private String derivedStatement;
	private String deriveStatementOPStmnt;
	private boolean derivedStatementIsNegetive; // 
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getLetterCode() {
		return letterCode;
	}
	public void setLetterCode(String letterCode) {
		this.letterCode = letterCode;
	}
	public String getMappingId() {
		return mappingId;
	}
	public void setMappingId(String mappingId) {
		this.mappingId = mappingId;
	}
	public String getObservationId() {
		return observationId;
	}
	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}
	public String getFindingId() {
		return findingId;
	}
	public void setFindingId(String findingId) {
		this.findingId = findingId;
	}
	public String getSubmissionStatus() {
		return submissionStatus;
	}
	public void setSubmissionStatus(String submissionStatus) {
		this.submissionStatus = submissionStatus;
	}
	public String getComplianceCategory() {
		return complianceCategory;
	}
	public void setComplianceCategory(String complianceCategory) {
		this.complianceCategory = complianceCategory;
	}
	public String getFindingRemarks() {
		return findingRemarks;
	}
	public void setFindingRemarks(String findingRemarks) {
		this.findingRemarks = findingRemarks;
	}
	public String getStandardStmntCompliance() {
		return standardStmntCompliance;
	}
	public void setStandardStmntCompliance(String standardStmntCompliance) {
		this.standardStmntCompliance = standardStmntCompliance;
	}
	public String getStandardStmntCompliancePrint() {
		return standardStmntCompliancePrint;
	}
	public void setStandardStmntCompliancePrint(String standardStmntCompliancePrint) {
		this.standardStmntCompliancePrint = standardStmntCompliancePrint;
	}
	public String getStandardStmntNonCompliance() {
		return standardStmntNonCompliance;
	}
	public void setStandardStmntNonCompliance(String standardStmntNonCompliance) {
		this.standardStmntNonCompliance = standardStmntNonCompliance;
	}
	public String getStandardStmntNonCompliancePrint() {
		return standardStmntNonCompliancePrint;
	}
	public void setStandardStmntNonCompliancePrint(String standardStmntNonCompliancePrint) {
		this.standardStmntNonCompliancePrint = standardStmntNonCompliancePrint;
	}
	public String getReference() {
		return reference;
	}
	public void setReference(String reference) {
		this.reference = reference;
	}
	
	public String getDisplaySequenceId() {
		return displaySequenceId;
	}
	public void setDisplaySequenceId(String displaySequenceId) {
		this.displaySequenceId = displaySequenceId;
	}
	public String getStatementId() {
		return statementId;
	}
	public void setStatementId(String statementId) {
		this.statementId = statementId;
	}
	public String getDisplaySequence() {
		return displaySequence;
	}
	public void setDisplaySequence(String displaySequence) {
		this.displaySequence = displaySequence;
	}
	public String getDisplaySequenceRef() {
		return displaySequenceRef;
	}
	public void setDisplaySequenceRef(String displaySequenceRef) {
		this.displaySequenceRef = displaySequenceRef;
	}
	public String getDerivedStatement() {
		return derivedStatement;
	}
	public void setDerivedStatement(String derivedStatement) {
		this.derivedStatement = derivedStatement;
	}
	public String getDeriveStatementOPStmnt() {
		return deriveStatementOPStmnt;
	}
	public void setDeriveStatementOPStmnt(String deriveStatementOPStmnt) {
		this.deriveStatementOPStmnt = deriveStatementOPStmnt;
	}
	public boolean isDerivedStatementIsNegetive() {
		return derivedStatementIsNegetive;
	}
	public void setDerivedStatementIsNegetive(boolean derivedStatementIsNegetive) {
		this.derivedStatementIsNegetive = derivedStatementIsNegetive;
	}
	
}
